Name:       i3-settings-qubes
Version:    1.9
Release:    1%{?dist}
Summary:    Default i3 settings for Qubes

Group:      User Interface/Desktops
License:    GPLv2+
URL:        http://www.qubes-os.org/
Source0:    %{name}-%{version}.tar.gz

BuildRequires: make

Requires:   i3
Requires:   xautolock
Requires:   i3lock
Requires:   perl-Data-Dumper 
Requires:   perl-File-Temp 
Requires:   perl-Getopt-Long 
Requires:   perl-open


%description
%{summary}

%prep
%setup

%install
%make_install

%define settings_replace() \
origfile="`echo %{1} | sed 's/\.qubes$//'`"\
backupfile="`echo %{1} | sed s/\.qubes$/\.i3/`"\
if [ -r "$origfile" -a ! -r "$backupfile" ]; then\
    mv -f "$origfile" "$backupfile"\
fi\
cp -f "%{1}" "$origfile"\
%{nil}

%triggerin -- i3-settings-qubes
%settings_replace %{_sysconfdir}/i3/config.qubes
%settings_replace %{_sysconfdir}/i3/config.keycodes.qubes

%postun
REPLACEFILE="${REPLACEFILE} %{_sysconfdir}/i3/config.qubes"
REPLACEFILE="${REPLACEFILE} %{_sysconfdir}/i3/config.keycodes.qubes"
if [ $1 -lt 1 ]; then
    for file in ${REPLACEFILE}; do
        origfile="`echo $file | sed 's/\.qubes$//'`"
        backupfile="`echo $file | sed 's/\.qubes$/\.i3/'`"
        mv -f "$backupfile" "$origfile"
    done
fi

%files
%{_sysconfdir}/i3/config.qubes
%{_sysconfdir}/i3/config.keycodes.qubes
%{_bindir}/qubes-i3-sensible-terminal
%{_bindir}/qubes-i3-xdg-autostart
%{_bindir}/qubes-i3status

%changelog
* Fri Jun 18 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-i3-settings-qubes.git

* Fri Jun 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 731929c
- version 1.9-1

* Fri Jun 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e53c494
- version 1.8-2

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - aa3d51a
- spec: add BR make

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1ef63ae
- Add .gitlab-ci.yml

* Sun Sep 20 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 21ff6be
- version 1.8-1

* Sun Sep 20 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d6d1018
- Fallback to qvm-run outside of dom0

* Thu Aug 27 2020 Lukas Czerner <lukas@czerner.cz> - fcbc05e
- qubes-i3-sensible-terminal: use qrexec-client directly

* Tue Aug 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c0ae6fb
- debian: initial packaging from upstream

* Thu Jul 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2cb26ab
- version 1.7-1

* Sun Jun 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9bdf3dc
- Allow build for VMs and update travis

* Sun Jun 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 406c407
- Refactor Makefile to prepare debian packaging

* Sun Jun 21 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ddd251c
- Create .spec.in

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 732fe88
- travis: switch to dom0 Fedora 31

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bb4c3cb
- travis: switch to bionic

* Fri Sep 27 2019 anadahz <andz@torproject.org> - 494cab1
- Use pactl as default volume control, add amixer config

* Thu Sep 26 2019 anadahz <andz@torproject.org> - a47e9a4
- Add README and build instructions

* Thu Sep 26 2019 anadahz <andz@torproject.org> - 5cf0f3b
- Release qubes-i3status 1.6-2

* Wed Sep 18 2019 anadahz <andz@torproject.org> - 1faedc5
- Fix Travis: Update EOL Ubuntu Trusty with Xenial

* Wed Sep 18 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c4bdb95
- travis: switch to xenial, add R4.1, ignore irrelevant branches/tags

* Tue Sep 17 2019 anadahz <andz@torproject.org> - a7ce55c
- Update i3 configs, add batteries patch, bump version

* Wed May 15 2019 Eduard <legendaryevryday@gmail.com> - bb7721f
- Qube-colors update based on spec

* Thu Apr 18 2019 FireGrace <legendaryevryday@gmail.com> - ec4d295
- Evaluate default pool, instead of hardcoding it in

* Wed Apr 17 2019 FireGrace <legendaryevryday@gmail.com> - fdf5065
- Updating sources sha256 checksum

* Wed Apr 17 2019 FireGrace <legendaryevryday@gmail.com> - a40043c
- Use qvm-pool as the source of data usage info

* Sun Jan 27 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b233f53
- Update .gitignore

* Tue Jan 08 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c9b59d6
- spec: remove _sourcedir

* Tue Jan 08 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d35195c
- Initial commit from desktop-linux-i3 with Makefiles adjustments

